--[[ Dem Bones by tehMugwump
See modinfo.lua for version information.

Previous updates:
v1.4 Graves tracking, Gravestone tracking/mining and Chester EyeBone tracking added.
v1.3 Now also track Hound Bones!
v1.2 Skeleton Rod = Archaeology!
v1.1 Ghost added and animation states
v1.0 Bones release

Description: Now you can mine dem bones!

Possible loot:
* ash
* wetgoop
* beardhair
* redgem
* bluegem
* walrus_tusk
* goldnugget
* krampus_sack (VERY small chance)
* poop
* walrushat (small chance)
* spoiled_food
-------------------------------------------------------------------------------

To install this mod, put this file in a new folder under
"..\mods" called "Dem Bones",

When you run the game you should see a screen pop up that lists this mod as
being loaded.
--]]
PrefabFiles = {
	"skeletonrod",
	"skeleton",
	"houndbone",
	"mound",
	"gravestone",

}
local assets=
{
	Asset("ANIM", "anim/skeletonrod.zip"),
	Asset("ANIM", "anim/swap_skeletonrod.zip"),
	Asset("IMAGE", "images/inventoryimages/skeletonrod.tex"),
	Asset("ATLAS", "images/inventoryimages/skeletonrod.xml"),

}

local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local EQUIPSLOTS = GLOBAL.EQUIPSLOTS

STRINGS.NAMES.SKELETONROD = "Jack-O-Lantern Rod"
STRINGS.RECIPE_DESC.SKELETONROD = "Finds DEM BONES"

---------- add skelbones tag ---------------------
local function addBoneTag (inst)
inst:AddTag("skelbones")
end
AddPrefabPostInit("chester_eyebone", addBoneTag)
---------
------------------------------------- New Speach for Skeleton Rod ------------------------------------
-- thanks to gamer.toukotsu and Heavenfall for ironing this proceedure out for me --
STRINGS.CHARACTERS.WX78.DESCRIBE.SKELETONROD = {
			COLD = "PUMPKIN EMANATIONS: LOW",
			GENERIC = "IT WANTS ITS BROTHER",
			WARM = "PUMPKIN EMANATIONS: MEDIUM",
			WARMER = "PUMPKIN EMANATIONS: HIGH",
			HOT = "PUMPKIN EMANATIONS: EXTREMELY HIGH"
	}
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.SKELETONROD = {
			COLD = "The pumpkin thing is talking.",
			GENERIC = "It's trying to find a long lost comrade",
			WARM = "Seems this pumpkin thing is on to sommething.",
			WARMER = "The pumpkin stick is getting HOT!",
			HOT = "I'm ready for whatever awaits me!"
	}
STRINGS.CHARACTERS.WILLOW.DESCRIBE.SKELETONROD = {
			COLD = "It's making some kind of chattering noise.",
			GENERIC = "It's full of electric cobwebs.",
			WARM = "This think knows something I don't.",
			WARMER = "It thinks we're close to something.",
			HOT = "Gah! When will it stop chattering!"
	}

STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.SKELETONROD = {
		    COLD = "This skull things seems disinterested.",
			GENERIC = "It appears to be looking for the deceased.",
		    WARM = "My, my, we seem to be getting closer to something.",
		    WARMER = "Oh, my, I'm not sure this is a good idea.",
		    HOT = "GOODNESS, I'm frightened!"
	}
STRINGS.CHARACTERS.WENDY.DESCRIBE.SKELETONROD = {
			COLD = "Lost souls are distant.",
			GENERIC = "It is sensing a soul crying out.",
			HOT = "The lost soul is here!",
			WARM = "The emptyness draws closer.",
			WARMER = "A soul speaks to me!"
	}
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.SKELETONROD = {
			COLD = "Seems to have lost the scent.",
			GENERIC = "I can use this to find my former partners.",
			HOT = "It's payback time!",
			WARM = "They can't hide forever.",
			WARMER = "Close!  I'll find them yet!"
	}

STRINGS.CHARACTERS.WOODIE.DESCRIBE.SKELETONROD = {
			COLD = "Picked up the scent of the great outdoors.",
			GENERIC = "I'M A LUMBERJACK AND I'M OK!",
			WARM = "I'm coming, buddy!",
			WARMER = "Hold, on, I'm almost there!",
			HOT = "This doesn't look good!"
	}
	
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SKELETONROD = {
			COLD = "No undead around here.",
			GENERIC = "It's some kind of undead homing device.",
			WARM = "I wonder what undead thing awaits me.",
			WARMER = "Skull dude here is getting pretty excited.",
			HOT = "The undead are near!"
	}

------------------------------------------------
local function modGamePostInit()
------------------
--local myrecipe = GLOBAL.Recipe( "skeletonrod", { Ingredient("log", 1), Ingredient("log", 1), Ingredient("log", 1) }, RECIPETABS.TOWN, 2)
local myrecipe = GLOBAL.Recipe( "skeletonrod", { Ingredient("spear", 1), Ingredient("pumpkin_lantern", 1), Ingredient("compass", 1) }, RECIPETABS.SURVIVAL, {SCIENCE=3})
    myrecipe.atlas = "images/inventoryimages/skeletonrod.xml" -- has 'skeletonrod.tex' specified inside it.
------------------

end
AddGamePostInit(modGamePostInit)